
Redmine - Defect #13240

incompatible character encodings on My account setting

2013-02-20 23:24 - Jun NAITOH

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

1. install Redmine trunk r11446.

2. login admin

3. click My account

4. Language set to Japanese.

5. Internal error

Started GET "/trunk/my/account" for 192.168.56.1 at 2013-02-21 00:52:00 +0900

Processing by MyController#account as HTML

  Current user: admin (id=1)

  Rendered my/account.html.erb within layouts/base (4.8ms)

Completed 500 Internal Server Error in 11ms

ActionView::Template::Error (incompatible character encodings: UTF-8 and ASCII-8BIT):

    16:   <p><%= f.text_field :firstname, :required => true %></p>

    17:   <p><%= f.text_field :lastname, :required => true %></p>

    18:   <p><%= f.text_field :mail, :required => true %></p>

    19:   <p><%= f.select :language, lang_options_for_select %></p>

    20:   <% if Setting.openid? %>

    21:   <p><%= f.text_field :identity_url  %></p>

    22:   <% end %>

  lib/redmine/views/labelled_form_builder.rb:34:in `select'

  app/views/my/account.html.erb:19:in `block in _app_views_my_account_html_erb___824051623_942

20480'

  app/helpers/application_helper.rb:944:in `labelled_form_for'

  app/views/my/account.html.erb:9:in `_app_views_my_account_html_erb___824051623_94220480'

6. click Administration

7. Internal error

Started GET "/trunk/admin" for 192.168.56.1 at 2013-02-21 01:08:32 +0900

Processing by AdminController#index as HTML

  Current user: admin (id=1)

  Rendered admin/_no_data.html.erb (50.9ms)

  Rendered admin/index.html.erb within layouts/admin (52.4ms)

Completed 500 Internal Server Error in 63ms

ActionView::Template::Error (incompatible character encodings: UTF-8 and ASCII-8BIT):

    2: <%= form_tag({:action => 'default_configuration'}) do %>

    3:     <%= simple_format(l(:text_no_configuration_data)) %>

    4:     <p><%= l(:field_language) %>:

    5:     <%= select_tag 'lang', options_for_select(lang_options_for_select(false), current_l

anguage.to_s) %>

    6:     <%= submit_tag l(:text_load_default_configuration) %></p>

    7: <% end %>

    8: </div>

  app/views/admin/_no_data.html.erb:5:in `block in _app_views_admin__no_data_html_erb___145094

091_97522630'

  app/views/admin/_no_data.html.erb:2:in `_app_views_admin__no_data_html_erb___145094091_97522
630'

  app/views/admin/index.html.erb:4:in `_app_views_admin_index_html_erb___686193583_97075840'

my environments:

CentOS 6.0

CRuby 1.9.3

SQLite3

Redmine trunk r11446.

$ bundle show

Gems included by the bundle:

  * actionmailer (3.2.12)

  * actionpack (3.2.12)

  * activemodel (3.2.12)

  * activerecord (3.2.12)

  * activeresource (3.2.12)

  * activesupport (3.2.12)

  * arel (3.0.2)

  * builder (3.0.0)

  * bundler (1.1.4)

  * coderay (1.0.8)

  * erubis (2.7.0)

  * hike (1.2.1)

  * i18n (0.6.1)

  * journey (1.0.4)

  * jquery-rails (2.0.3)

  * json (1.7.7)

  * mail (2.4.4)

  * mime-types (1.21)

  * multi_json (1.6.1)

  * net-ldap (0.3.1)

  * polyglot (0.3.3)

  * rack (1.4.5)

  * rack-cache (1.2)

  * rack-openid (1.3.1)

  * rack-ssl (1.3.3)

  * rack-test (0.6.2)

  * rails (3.2.12)

  * railties (3.2.12)

  * rake (10.0.3)

  * rdoc (3.12.1)

  * ruby-openid (2.1.8)

  * sprockets (2.2.2)

  * sqlite3 (1.3.7)

  * thor (0.17.0)

  * tilt (1.3.3)

  * treetop (1.4.12)

  * tzinfo (0.3.35)

History

#1 - 2013-02-24 00:04 - Jun NAITOH

- Status changed from New to Resolved

I retry on trunk and 2.3-stable, now.

I reconstructed my environment from svn repository.

It stopped reproducing this issue problem.

I think that this problem occurred owing to my environment, sorry.

#2 - 2013-02-25 13:04 - Toshi MARUYAMA

- Status changed from Resolved to Closed
Thank you for your feedback.

#3 - 2013-02-28 23:28 - Toshi MARUYAMA

FYI:

Problem to access "Settings" from Administration menu

http://www.redmine.org/boards/1/topics/36573

#4 - 2013-02-28 23:38 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

FYI:

Problem to access "Settings" from Administration menu

http://www.redmine.org/boards/1/topics/36573

 Sorry, you use SQLite3.

What was problem?

Powered by TCPDF (www.tcpdf.org)

2024-04-09 3/3

http://www.redmine.org/boards/1/topics/36573
http://www.redmine.org/boards/1/topics/36573
http://www.tcpdf.org

